Package org.codehaus.janino

# Interface Visitor.BlockStatementVisitor<R,EX extends Throwable>

Type Parameters:
  `R` - The type of the object returned by the `visit*()` methods
  `EX` - The exception that the `visit*()` methods may throw

All Superinterfaces:
  `Visitor.FieldDeclarationOrInitializerVisitor<R,EX>`

Enclosing class:
  `Visitor`

public static interface Visitor.BlockStatementVisitor<R,EX extends Throwable> extends Visitor.FieldDeclarationOrInitializerVisitor<R,EX>
The visitor for all kinds of `Java.BlockStatement`s (statements that may appear with a block).

## Method Summary

Modifier and Type
Method
Description
`R`
`visitAlternateConstructorInvocation(Java.AlternateConstructorInvocation aci)`
Invoked by `Java.AlternateConstructorInvocation.accept(Visitor.BlockStatementVisitor)`
`R`
`visitAssertStatement(Java.AssertStatement as)`
Invoked by `Java.AssertStatement.accept(Visitor.BlockStatementVisitor)`
`R`
`visitBlock(Java.Block b)`
Invoked by `Java.Block.accept(Visitor.BlockStatementVisitor)`
`R`
`visitBreakStatement(Java.BreakStatement bs)`
Invoked by `Java.BreakStatement.accept(Visitor.BlockStatementVisitor)`
`R`
`visitContinueStatement(Java.ContinueStatement cs)`
Invoked by `Java.ContinueStatement.accept(Visitor.BlockStatementVisitor)`
`R`
`visitDoStatement(Java.DoStatement ds)`
Invoked by `Java.DoStatement.accept(Visitor.BlockStatementVisitor)`
`R`
`visitEmptyStatement(Java.EmptyStatement es)`
Invoked by `Java.EmptyStatement.accept(Visitor.BlockStatementVisitor)`
`R`
`visitExpressionStatement(Java.ExpressionStatement es)`
Invoked by `Java.ExpressionStatement.accept(Visitor.BlockStatementVisitor)`
`R`
`visitForEachStatement(Java.ForEachStatement forEachStatement)`
Invoked by `Java.ForEachStatement.accept(Visitor.BlockStatementVisitor)`
`R`
`visitForStatement(Java.ForStatement fs)`
Invoked by `Java.ForStatement.accept(Visitor.BlockStatementVisitor)`
`R`
`visitIfStatement(Java.IfStatement is)`
Invoked by `Java.IfStatement.accept(Visitor.BlockStatementVisitor)`
`R`
`visitLabeledStatement(Java.LabeledStatement ls)`
Invoked by `Java.LabeledStatement.accept(Visitor.BlockStatementVisitor)`
`R`
`visitLocalClassDeclarationStatement(Java.LocalClassDeclarationStatement lcds)`
Invoked by `Java.LocalClassDeclarationStatement.accept(Visitor.BlockStatementVisitor)`
`R`
`visitLocalVariableDeclarationStatement(Java.LocalVariableDeclarationStatement lvds)`
Invoked by `Java.LocalVariableDeclarationStatement.accept(Visitor.BlockStatementVisitor)`
`R`
`visitReturnStatement(Java.ReturnStatement rs)`
Invoked by `Java.ReturnStatement.accept(Visitor.BlockStatementVisitor)`
`R`
`visitSuperConstructorInvocation(Java.SuperConstructorInvocation sci)`
Invoked by `Java.SuperConstructorInvocation.accept(Visitor.BlockStatementVisitor)`
`R`
`visitSwitchStatement(Java.SwitchStatement ss)`
Invoked by `Java.SwitchStatement.accept(Visitor.BlockStatementVisitor)`
`R`
`visitSynchronizedStatement(Java.SynchronizedStatement ss)`
Invoked by `Java.SynchronizedStatement.accept(Visitor.BlockStatementVisitor)`
`R`
`visitThrowStatement(Java.ThrowStatement ts)`
Invoked by `Java.ThrowStatement.accept(Visitor.BlockStatementVisitor)`
`R`
`visitTryStatement(Java.TryStatement ts)`
Invoked by `Java.TryStatement.accept(Visitor.BlockStatementVisitor)`
`R`
`visitWhileStatement(Java.WhileStatement ws)`
Invoked by `Java.WhileStatement.accept(Visitor.BlockStatementVisitor)`

### Methods inherited from interface org.codehaus.janino.Visitor.FieldDeclarationOrInitializerVisitor

`visitFieldDeclaration, visitInitializer`

## Method Details

### visitLabeledStatement

@Nullable R visitLabeledStatement(Java.LabeledStatement ls) throws EX
Invoked by `Java.LabeledStatement.accept(Visitor.BlockStatementVisitor)`

Throws:
  `EX`

### visitBlock

@Nullable R visitBlock(Java.Block b) throws EX
Invoked by `Java.Block.accept(Visitor.BlockStatementVisitor)`

Throws:
  `EX`

### visitExpressionStatement

@Nullable R visitExpressionStatement(Java.ExpressionStatement es) throws EX
Invoked by `Java.ExpressionStatement.accept(Visitor.BlockStatementVisitor)`

Throws:
  `EX`

### visitIfStatement

@Nullable R visitIfStatement(Java.IfStatement is) throws EX
Invoked by `Java.IfStatement.accept(Visitor.BlockStatementVisitor)`

Throws:
  `EX`

### visitForStatement

@Nullable R visitForStatement(Java.ForStatement fs) throws EX
Invoked by `Java.ForStatement.accept(Visitor.BlockStatementVisitor)`

Throws:
  `EX`

### visitForEachStatement

@Nullable R visitForEachStatement(Java.ForEachStatement forEachStatement) throws EX
Invoked by `Java.ForEachStatement.accept(Visitor.BlockStatementVisitor)`

Throws:
  `EX`

### visitWhileStatement

@Nullable R visitWhileStatement(Java.WhileStatement ws) throws EX
Invoked by `Java.WhileStatement.accept(Visitor.BlockStatementVisitor)`

Throws:
  `EX`

### visitTryStatement

@Nullable R visitTryStatement(Java.TryStatement ts) throws EX
Invoked by `Java.TryStatement.accept(Visitor.BlockStatementVisitor)`

Throws:
  `EX`

### visitSwitchStatement

@Nullable R visitSwitchStatement(Java.SwitchStatement ss) throws EX
Invoked by `Java.SwitchStatement.accept(Visitor.BlockStatementVisitor)`

Throws:
  `EX`

### visitSynchronizedStatement

@Nullable R visitSynchronizedStatement(Java.SynchronizedStatement ss) throws EX
Invoked by `Java.SynchronizedStatement.accept(Visitor.BlockStatementVisitor)`

Throws:
  `EX`

### visitDoStatement

@Nullable R visitDoStatement(Java.DoStatement ds) throws EX
Invoked by `Java.DoStatement.accept(Visitor.BlockStatementVisitor)`

Throws:
  `EX`

### visitLocalVariableDeclarationStatement

@Nullable R visitLocalVariableDeclarationStatement(Java.LocalVariableDeclarationStatement lvds) throws EX
Invoked by `Java.LocalVariableDeclarationStatement.accept(Visitor.BlockStatementVisitor)`

Throws:
  `EX`

### visitReturnStatement

@Nullable R visitReturnStatement(Java.ReturnStatement rs) throws EX
Invoked by `Java.ReturnStatement.accept(Visitor.BlockStatementVisitor)`

Throws:
  `EX`

### visitThrowStatement

@Nullable R visitThrowStatement(Java.ThrowStatement ts) throws EX
Invoked by `Java.ThrowStatement.accept(Visitor.BlockStatementVisitor)`

Throws:
  `EX`

### visitBreakStatement

@Nullable R visitBreakStatement(Java.BreakStatement bs) throws EX
Invoked by `Java.BreakStatement.accept(Visitor.BlockStatementVisitor)`

Throws:
  `EX`

### visitContinueStatement

@Nullable R visitContinueStatement(Java.ContinueStatement cs) throws EX
Invoked by `Java.ContinueStatement.accept(Visitor.BlockStatementVisitor)`

Throws:
  `EX`

### visitAssertStatement

@Nullable R visitAssertStatement(Java.AssertStatement as) throws EX
Invoked by `Java.AssertStatement.accept(Visitor.BlockStatementVisitor)`

Throws:
  `EX`

### visitEmptyStatement

@Nullable R visitEmptyStatement(Java.EmptyStatement es) throws EX
Invoked by `Java.EmptyStatement.accept(Visitor.BlockStatementVisitor)`

Throws:
  `EX`

### visitLocalClassDeclarationStatement

@Nullable R visitLocalClassDeclarationStatement(Java.LocalClassDeclarationStatement lcds) throws EX
Invoked by `Java.LocalClassDeclarationStatement.accept(Visitor.BlockStatementVisitor)`

Throws:
  `EX`

### visitAlternateConstructorInvocation

@Nullable R visitAlternateConstructorInvocation(Java.AlternateConstructorInvocation aci) throws EX
Invoked by `Java.AlternateConstructorInvocation.accept(Visitor.BlockStatementVisitor)`

Throws:
  `EX`

### visitSuperConstructorInvocation

@Nullable R visitSuperConstructorInvocation(Java.SuperConstructorInvocation sci) throws EX
Invoked by `Java.SuperConstructorInvocation.accept(Visitor.BlockStatementVisitor)`

Throws:
  `EX`